package com.lukouguoji.gnc.page.inspection

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.alibaba.android.arouter.facade.annotation.Route
import com.lukouguoji.gnc.R
import com.lukouguoji.gnc.databinding.ActivityGncInspectionBinding
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.lukouguoji.module_base.common.ConstantEvent
import com.lukouguoji.module_base.impl.FlowBus
import com.lukouguoji.module_base.impl.observe
import com.lukouguoji.module_base.ktx.getLifecycleOwner
import com.lukouguoji.module_base.router.ARouterConstants

/**
 * 国内出港收运检查列表页
 */
@Route(path = ARouterConstants.ACTIVITY_URL_GNC_INSPECTION)
class GncInspectionActivity :
    BaseBindingActivity<ActivityGncInspectionBinding, GncInspectionViewModel>() {

    override fun layoutId() = R.layout.activity_gnc_inspection

    override fun viewModelClass() = GncInspectionViewModel::class.java

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("出港收运审核")

        binding.viewModel = viewModel

        // 绑定分页逻辑
        viewModel.pageModel
            .bindSmartRefreshLayout(binding.srl, binding.rv, viewModel, getLifecycleOwner())

        // 监听刷新事件
        FlowBus.with<String>(ConstantEvent.EVENT_REFRESH)
            .observe(this) {
                viewModel.refresh()
            }

        // 初始化代理列表
        viewModel.initAgentList()

        // 初始加载
        viewModel.refresh()
    }

    companion object {
        @JvmStatic
        fun start(context: Context) {
            val starter = Intent(context, GncInspectionActivity::class.java)
            context.startActivity(starter)
        }
    }
}
